FROM python:3.7-alpine
COPY Pipfile /Pipfile
COPY Pipfile.lock /Pipfile.lock
RUN apk add curl bash openssh-client openssl-dev libffi-dev alpine-sdk git \
    && pip install --no-cache-dir pipenv && pipenv lock -r > requirements.txt \
    && cat requirements.txt && pip install --no-cache-dir -r requirements.txt \
    && apk del libffi-dev alpine-sdk \
    && pip uninstall -y pipenv
